#!/usr/bin/python
# -*- coding: utf-8 -*-s
import os  # directory methods
import datetime
import sys
import ftplib
from pathlib import Path

daycount=0
d=datetime.date.today()
y=d.strftime('%Y')
m=d.strftime('%m')
print ("{0}/{1}".format(y,m))
ftpLp=0
ftpLimit=10
workDir = r"/home/pi/bin/quickcpm/logs"
os.chdir(workDir)

ftpPath = r"/"
ftpU="yourftpusername"
ftpP="yourftppw"
ftpHost="yourftphost"


def ftpSend(filename):
    if (ftpOn == 'true'):
        try:
            cwd = os.getcwd()
            ftp = ftplib.FTP(ftpHost)
            ftp.login(ftpU, ftpP)
            ftp.cwd(ftpPath)
            if(cwd != workDir):
                os.chdir(workDir)
            ftp.storlines("STOR " + filename, open(filename,'rb',1024))
            print("[ftp ok]")
            ftp.close()
        except:
            print("....ftp failed")
            
            
def writeToFile(fileName,data, isbinary, ishtml):
        if len(data)>1:
            fn= fileName
            if ishtml:
                    with open(fn, "w") as file:  
                        file.write(data)
                        print("{:d} chars written to {:s}".format(len(data),fn))
            else:
                    with open(fn, "a") as file:  
                        file.write(data)
                        print("{:d} chars written to {:s}".format(len(data),fn))
                    
        else:
            print ("No data to save")
            
def getArgs():
    if (len(sys.argv) > 0):
        for argv in sys.argv:
            if (argv.split('=')[0]=='m'):
                m=argv[1]
            if (argv.split('=')[0]=='y'):
                y=argv[1]
                return
getArgs()

directory = os.fsencode(workDir)
i=0
avg=0
rv=0
maxcpm=0
ci = 0
htmlbody=""
for file in os.listdir(directory):
    i = i+1
    filename = os.fsdecode(file)
    if filename.endswith(".html") and "_t" not in filename and "{0}".format(y) in filename and "_CPM.html" in filename :
       # if daycount < 2:
            daycount = daycount +1
            print(filename)
           # f= open(filename,"r")
            f = Path(filename).read_text()
            htmlbody = htmlbody + "<div style=\"float:left;width:80%;background-color:#eaeaea;border-radius:8px;margin:12px;padding:12px;box-shadow:#888 4px 4px\" class=_PR>{0}</div><br>".format(f)
fname="{0}_CPM_Year.html".format(y)
mths=["x","Jan","Feb","Mar","Apr","May","Jun","Jly","Aug","Sep","Oct","Nov","Dec"]

writeToFile(fname,"<html><head></head><body>{0} QCPM Stats<br>{1}</body></html>".format(y,htmlbody), 'false','true')                    
print ("Year Report Compiled\n");
ftpSend(fname)

